import React from 'react';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../../common/formInput';

class ChangePasswordForm extends React.Component {

    submit = ({password, confirmPassword }) => {
        const {actions:{changePasswordRequest},data:{_id},token } = this.props
        console.log(_id, password, confirmPassword, token);

        changePasswordRequest({
            token,
           _id,
            password,
            confirmPassword
        })
        
    }

    render() {
        const { children, handleSubmit, actions:{ changePasswordRequest }, handlers: {  handleClicked }, data, token } = this.props;
        const { submit}=this
        console.log( data)
        return (
            <form onSubmit={handleSubmit(submit)} >
                <Field name="password" type="password" placeholder="Password" component={formInput} />
                <Field name="confirmPassword" type="password" placeholder="new Password" component={formInput} />

                <button
                    type="button" className="link link--btn right"  onClick={
                        function() {
                        handleClicked();
                            handleSubmit(submit)();
                        }    
                    
                    }>
                    Change
                </button>
            </form >
        )
    }
}

export default reduxForm({
    form: "changePasswordForm",
})(ChangePasswordForm);