import { combineReducers } from 'redux';
import { reducer as form } from 'redux-form';

import signIn from './auth/signIn';
import signUp from './auth/signUp';
import logOut from './auth/logOut';
import tokenCheckout from './auth/tokenCheckout';

import chageLoginReducer from './user/chageLogin';
import changeEmailReducer from './user/changeEmail';

export default combineReducers({

    tokenCheckout,
    logOut,
    signIn,
    signUp,
    chageLoginReducer,
    changeEmailReducer,
    form
})